Subject: bug#77058: [PATCH] Add cl-with-accessors

From: Daniel Colascione <[email-masked]>
Date: Sun, 30 Mar 2025 13:02:28 -0400

Stefan Monnier <[email-masked]> writes:

>>> You could get away from the need for compile-time visible of classes
>>> by switching from cl-symbol-macrolet to a custom expander function
>>> (which is how cl-symbol-macrolet itself is implemented), but I was
>>> too lazy.
>
> I don't think this comment by Daniel was about your code but about his.
> At least, AFAICT, your code already does not need compile-time
> visibility of classes (it's not even specific to classes at all).

Yeah. The patch is fine. I'm just suggesting directions for the future.